Package ru.bitel.bgbilling.modules.drweb.common.bean

# Class AgentAVD

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drweb.common.bean.AgentAVD

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class AgentAVD
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `NEXT_STATUS_NORMAL` |
  `static int` | `NEXT_STATUS_TO_ACTIVE` |
  `static int` | `NEXT_STATUS_TO_BLOCK` |
  `static int` | `NEXT_STATUS_TO_CHANDE_TARIFF` |
  `static int` | `NEXT_STATUS_TO_DELETE` |
  `static java.lang.String` | `PARAM_NEXT_TARIFF` |
  `static int` | `STATUS_BLOCKED` |
  `static int` | `STATUS_DELETE` |
  `static int` | `STATUS_ERROR` |
  `static int` | `STATUS_NOT_COMPLETE_ERROR` |
  `static int` | `STATUS_NOT_PROLONGER` |
  `static int` | `STATUS_OK` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AgentAVD()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAgentUUID()` |
  `java.util.Date` | `getBlockBegin()` |
  `java.lang.String` | `getBlockBeginString()` |
  `java.util.Date` | `getBlockEnd()` |
  `java.lang.String` | `getBlockEndString()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getExpires()` |
  `java.lang.String` | `getExpiresString()` |
  `java.lang.String` | `getName()` |
  `int` | `getNextStatus()` |
  `java.lang.String` | `getNextStatusString()` |
  `int` | `getNextTariffId()` |
  `java.lang.String` | `getNextTariffTitle()` |
  `int` | `getStatus()` |
  `java.lang.String` | `getStatusString()` |
  `int` | `getTariffId()` |
  `java.lang.String` | `getTariffTitle()` |
  `boolean` | `isGraceperiod()` |
  `boolean` | `isLock()` |
  `boolean` | `isNewAgent()` |
  `void` | `setAgentUUID​(java.lang.String agentUUID)` |
  `void` | `setBlockBegin​(java.util.Date blockBegin)` |
  `void` | `setBlockEnd​(java.util.Date blockEnd)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setExpires​(java.util.Date expires)` |
  `void` | `setGraceperiod​(boolean graceperiod)` |
  `void` | `setLock​(boolean lock)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setNewAgent​(boolean newAgent)` |
  `void` | `setNextStatus​(int nextStatus)` |
  `void` | `setNextTariffId​(int nextTariffId)` |
  `void` | `setNextTariffTitle​(java.lang.String nextTariffTitle)` |
  `void` | `setStatus​(int status)` |
  `void` | `setTariffId​(int taiffId)` |
  `void` | `setTariffTitle​(java.lang.String tariffTitle)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_OK

    public static final int STATUS_OK
    See Also:
      Constant Field Values

  - ### STATUS_NOT_PROLONGER

    public static final int STATUS_NOT_PROLONGER
    See Also:
      Constant Field Values

  - ### STATUS_DELETE

    public static final int STATUS_DELETE
    See Also:
      Constant Field Values

  - ### STATUS_BLOCKED

    public static final int STATUS_BLOCKED
    See Also:
      Constant Field Values

  - ### STATUS_ERROR

    public static final int STATUS_ERROR
    See Also:
      Constant Field Values

  - ### STATUS_NOT_COMPLETE_ERROR

    public static final int STATUS_NOT_COMPLETE_ERROR
    See Also:
      Constant Field Values

  - ### NEXT_STATUS_NORMAL

    public static final int NEXT_STATUS_NORMAL
    See Also:
      Constant Field Values

  - ### NEXT_STATUS_TO_BLOCK

    public static final int NEXT_STATUS_TO_BLOCK
    See Also:
      Constant Field Values

  - ### NEXT_STATUS_TO_DELETE

    public static final int NEXT_STATUS_TO_DELETE
    See Also:
      Constant Field Values

  - ### NEXT_STATUS_TO_CHANDE_TARIFF

    public static final int NEXT_STATUS_TO_CHANDE_TARIFF
    See Also:
      Constant Field Values

  - ### NEXT_STATUS_TO_ACTIVE

    public static final int NEXT_STATUS_TO_ACTIVE
    See Also:
      Constant Field Values

  - ### PARAM_NEXT_TARIFF

    public static final java.lang.String PARAM_NEXT_TARIFF
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AgentAVD

    public AgentAVD()

- ## Method Details

  - ### getAgentUUID

    public java.lang.String getAgentUUID()

  - ### setAgentUUID

    public void setAgentUUID​(java.lang.String agentUUID)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getExpires

    public java.util.Date getExpires()

  - ### setExpires

    public void setExpires​(java.util.Date expires)

  - ### getExpiresString

    public java.lang.String getExpiresString()

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getBlockBegin

    public java.util.Date getBlockBegin()

  - ### setBlockBegin

    public void setBlockBegin​(java.util.Date blockBegin)

  - ### getBlockEnd

    public java.util.Date getBlockEnd()

  - ### setBlockEnd

    public void setBlockEnd​(java.util.Date blockEnd)

  - ### getBlockBeginString

    public java.lang.String getBlockBeginString()

  - ### getBlockEndString

    public java.lang.String getBlockEndString()

  - ### getTariffTitle

    public java.lang.String getTariffTitle()

  - ### setTariffTitle

    public void setTariffTitle​(java.lang.String tariffTitle)

  - ### getNextStatus

    public int getNextStatus()

  - ### setNextStatus

    public void setNextStatus​(int nextStatus)

  - ### isLock

    public boolean isLock()

  - ### setLock

    public void setLock​(boolean lock)

  - ### getStatusString

    public java.lang.String getStatusString()

  - ### getNextStatusString

    public java.lang.String getNextStatusString()

  - ### getNextTariffTitle

    public java.lang.String getNextTariffTitle()

  - ### setNextTariffTitle

    public void setNextTariffTitle​(java.lang.String nextTariffTitle)

  - ### isGraceperiod

    public boolean isGraceperiod()

  - ### setGraceperiod

    public void setGraceperiod​(boolean graceperiod)

  - ### getTariffId

    public int getTariffId()

  - ### setTariffId

    public void setTariffId​(int taiffId)

  - ### getNextTariffId

    public int getNextTariffId()

  - ### setNextTariffId

    public void setNextTariffId​(int nextTariffId)

  - ### isNewAgent

    public boolean isNewAgent()

  - ### setNewAgent

    public void setNewAgent​(boolean newAgent)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`